# Creating/Editing Locales

To create your own language, start by making a JSON file inside the `locales/` folder. The file name will be used in the configuration to set the language.

{% code title="locales/en.json" %}

```json
{
  "ui": {
    "settings": {
      "main_title": "SETTINGS",
      "misc": {
        "show": "Show",
        "over": "Show if over",
        "under": "Show if under"
      },
      "categories": {
        "hud": "MAIN",
        "status": "STATUS",
        "carhud": "SPEEDOMETER"
      },
      "hud_settings": {
        "title": "HUD Settings",
        "description": "Here you can manage main HUD settings.",
        "settings": {
          "visibility_title": "HUD Visibility",
          "visibility_description": "Hide/Show main HUD"
        }
      },
      "notify_settings": {
        "title": "Notification Settings",
        "description": "Here you can manage main notifications settings.",
        "settings": {
          "visibility_title": "Notifications Visibility",
          "visibility_description": "Visibility for notifications",
          "position_title": "Notifications Position",
          "position_description": "Choose a position for notifications",
          "style_title": "Notifications Style",
          "style_description": "Choose a style for notifications"
        },
        "options": {
          "position": {
            "top-right": "Top Right",
            "bottom-left": "Bottom Left"
          },
          "style": {
            "default": "Default",
            "minimalistic": "Minimalistic",
            "modern": "Modern"
          }
        }
      },
      "status_settings": {
        "title": "Status Settings",
        "description": "Most used status settings in one place!",
        "settings": {
          "visibility_title": "Status Visibility",
          "visibility_description": "Visibility for components: Health, Hunger, Thirst",
          "style_title": "Status Style",
          "style_description": "Choose a style for status",
          "colors_title": "Status Colors",
          "colors_description": "Pick a color for every component inside status.",
          "borderradius_title": "Status Border Radius",
          "borderradius_description": "Radius ratio",
          "scale_title": "Status Scale",
          "scale_description": "Scale ratio"
        },
        "options": {
          "style": {
            "default": "Default",
            "line": "Lines",
            "modern": "Modern",
            "percent": "Percent",
            "progress": "Progress"
          },
          "scale": {
            "small": "Small",
            "default": "Default",
            "big": "Big"
          },
          "colors": {
            "health": "Health",
            "shield": "Armour",
            "food": "Hunger",
            "water": "Thirst",
            "stamina": "Stamina",
            "oxygen": "Oxygen",
            "voice": "Voice"
          }
        }
      },
      "status_percents_settings": {
        "title": "Status Percents Settings",
        "description": "Most used status percents settings in one place!",
        "settings": {
          "health_title": "Health",
          "health_description": "Health percents",
          "shield_title": "Armour",
          "shield_description": "Armour percents",
          "food_title": "Hunger",
          "food_description": "Hunger percents",
          "water_title": "Thirst",
          "water_description": "Thirst percents",
          "stamina_title": "Stamina",
          "stamina_description": "Stamina percents",
          "oxygen_title": "Oxygen",
          "oxygen_description": "Oxygen percents",
          "voice_title": "Voice",
          "voice_description": "Voice percents"
        }
      },
      "carhud_settings": {
        "title": "Speedometer Settings",
        "description": "Most used speedometer settings in one place!",
        "settings": {
          "visibility_title": "Speedometer Visibility",
          "visibility_description": "Visibility for components: speed",
          "style_title": "Speedometer Style",
          "style_description": "Choose a style for speedometer",
          "metertype_title": "Meter Type",
          "metertype_description": "Choose a meter type"
        },
        "options": {
          "style": {
            "default": "Default"
          },
          "metertype": {
            "kmh": "KM/H",
            "mph": "MP/H"
          }
        }
      },
      "informations_settings": {
        "title": "Informations Settings",
        "description": "Settings for the informations panel.",
        "settings": {
          "visibility_title": "Show Informations",
          "visibility_description": "Toggle the visibility of the informations panel.",
          "opacity_title": "Opacity",
          "opacity_description": "Set the opacity of the informations panel (0 to 1)."
        }
      }
    }
  },
  "game": {
    "vehicle": {
      "not_in_veh": "You are not in the car!"
    },
    "engine": {
      "texts": {
        "engine_on": "The engine has been turned on!",
        "engine_off": "The engine has been turned off!"
      }
    },
    "nitro": {
      "texts": {
        "run_out_of_nitro": "You've run out of nitro!",
        "no_nitro": "No nitro available!",
        "cant_install_in_car": "You cannot install nitro while in a vehicle!",
        "filled_up_nitro": "Nitro successfully installed!",
        "no_car": "No vehicle nearby!",
        "you_are_not_owner": "You are not owner of this vehicle!",
        "vehicle_have_nitro": "Nitro already installed in this car"
      }
    },
    "cruisemode": {
      "texts": {
        "cruisemode_on": "Cruise control has been enabled!",
        "cruisemode_off": "Cruise control has been disabled!",
        "cruisemode_off_braking": "Cruise control has been disabled due to braking!",
        "cruisemode_too_slow": "You're driving to slow to toggle cruise control!",
        "cruisemode_off_airborne": "Cruise control disabled – vehicle airborne"
      }
    },
    "seatbelt": {
      "texts": {
        "seatbelt_on": "Seatbelt has been fastened!",
        "seatbelt_off": "Seatbelt has been unfastened!"
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kojascripts.eu/new/hud/guides/creating-editing-locales.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
